Subject: Re: [PATCH net-next v4] gve: Introduce a way to disable queue formats

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 Feb 2023 22:50:18 -0800

On Sat,  4 Feb 2023 11:29:40 -0800 Jeroen de Borst wrote:
> The device is capable of simultaneously supporting multiple
> queue formats. These queue formats are:
> 
> - GQI-QPL: A queue format with in-order completions and a
> bounce-buffer (Queue Page List)
> - GQI-RDA: A queue format with in-order completions and no
> bounce-buffer (Raw DMA Access)
> - DQO-RDA: A queue format with out-of-order completions and
> no bounce buffer

Thanks but..

> With this change the driver can deliberately pick a queue format.

Driver can already do whatever it wants. Now the _user_ can pick 
the format. But the user still has no understanding of what the
practical impact of picking one queue format over another will be.
Do you have a reason to believe that the description above (and in 
docs) will be sufficient for user to make a decision? 

I tried to search the web but got no hits to any GCP docs either.

Differently put what is you motivation to give this control to the user?

> +
> +struct bpf_prog;
>  static int gve_verify_driver_compatibility(struct gve_priv *priv)

Adding the forward declaration for bpf_prog looks like a stray change.